ModPE.overrideTexture("images/mob/ginger.png","http://i.imgur.com/PZkj7ER.jpg")
ModPE.overrideTexture("images/mob/santa.png","http://i.imgur.com/IITLf22.jpg")
ModPE.overrideTexture("images/mob/elsa.png","http://i.imgur.com/tqeVd8s.jpg")

ModPE.setItem(490,"spawn_egg",14,"Gingerbread Man Spawn Egg");
Item.addCraftRecipe(490,1,0,[344, 1, 0, 354,1,0]);
ModPE.setItem(491,"spawn_egg",5,"Evil Santa Spawn Egg");
Item.addCraftRecipe(491,1,0,[344, 1, 0, 264,1,0]);
ModPE.setItem(493,"spawn_egg",4,"Elsa Spawn Egg");
Item.addCraftRecipe(493,1,0,[344, 1, 0, 80,1,0]);

function useItem(x,y,z,item,block,side)
{
if(item==490)
{
addItemInventory(490,-1);
var ginger = Level.spawnMob(x, y+4, z, 39,"mob/ginger.png" );
Entity.setHealth(ginger,100);
Entity.setNameTag(ginger,"Gingerbread Man");
Entity.setRenderType(ginger,13);
}
if(item==491)
{
addItemInventory(491,-1);
var santa = Level.spawnMob(x, y+4, z, 39,"mob/santa.png" );
Entity.setHealth(santa,200);
Entity.setNameTag(santa,"Evil Santa");
Entity.setRenderType(santa,13);
}
if(item==493)
{
addItemInventory(493,-1);
var elsa = Level.spawnMob(x, y+4, z, 39,"mob/elsa.png" );
Entity.setHealth(elsa,100);
Entity.setNameTag(elsa,"Queen Elsa");
Entity.setRenderType(elsa,13);
}
}


function deathHook(murderer, victim)
{
if(Entity.getNameTag(victim)=="Gingerbread Man"){
preventDefault();
var x= Entity.getX(victim);
var y= Entity.getY(victim);
var z= Entity.getZ(victim);
Level.dropItem(x, y, z, 1, 357, 20, 0);
Level.explode(victim, 2);
}
if(Entity.getNameTag(victim)=="Evil Santa"){
preventDefault();
var x= Entity.getX(victim);
var y= Entity.getY(victim);
var z= Entity.getZ(victim);
Level.dropItem(x, y, z, 1, 57, 1, 0);
Level.dropItem(x, y, z, 1, 42, 1, 0);
Level.dropItem(x, y, z, 1, 41, 1, 0);
Level.dropItem(x, y, z, 1, 133, 1, 0);
Level.explode(victim, 2);
}
if(Entity.getNameTag(victim)=="Queen Elsa"){
preventDefault();
var x= Entity.getX(victim);
var y= Entity.getY(victim);
var z= Entity.getZ(victim);
Level.dropItem(x, y, z, 1, 174, 32, 0);
Level.dropItem(x, y, z, 1, 332, 10, 0);
Level.dropItem(x, y, z, 1, 80, 4, 0);
Level.explode(victim, 2);
}
}
